com.smartgwt.client.data

## Class RequestTransformer

- java.lang.Object
- - com.smartgwt.client.data.RequestTransformer

-     public abstract class RequestTransformer
      extends java.lang.Object

  The RequestTransformer provides the equivalent functionality of overriding `DataSource.transformRequest(DSRequest)` when instantiating a DataSource on the client. However when obtaining a DataSource instance from the server using `DataSource.getDataSource(java.lang.String)`, `transformRequest(DSRequest)` and `#transformResponse(DSResponse, DSRequest, Object)` cannot be overridden and so the requestTransformer parameter can be passed to `DataSource.getDataSource(java.lang.String)` instead.
  See Also:
    `DataSource.getDataSource(java.lang.String)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestTransformer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getDefaultTransformRequest(DSRequest dsRequest)` Return the result of the default transformed request.
    `java.lang.Object` | `getDefaultTransformResponse(DSRequest dsRequest)` Deprecated. use `getDefaultTransformRequest(DSRequest)` instead
    `protected abstract java.lang.Object` | `transformRequest(DSRequest dsRequest)` See the docs for `DataSource.transformRequest(DSRequest)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestTransformer

          public RequestTransformer()

  - ### Method Detail

    - #### transformRequest

          protected abstract java.lang.Object transformRequest(DSRequest dsRequest)

      See the docs for `DataSource.transformRequest(DSRequest)`.
      Parameters:
        `dsRequest` - the DSRequest being processed
      Returns:
        data to be sent to the dataURL (JavaScriptObject, String or Record)

    - #### getDefaultTransformResponse

          public java.lang.Object getDefaultTransformResponse(DSRequest dsRequest)

      Deprecated. use `getDefaultTransformRequest(DSRequest)` instead
      Return the result of the default transformed response.
      Parameters:
        `dsRequest` - the request
      Returns:
        the default transformed response

    - #### getDefaultTransformRequest

          public java.lang.Object getDefaultTransformRequest(DSRequest dsRequest)

      Return the result of the default transformed request.
      Parameters:
        `dsRequest` - the request
      Returns:
        the default transformed request